package org.reti.element;

public class Autore {

	private String nome;
	private String secondoNome;
	private String cognome;

	public Autore(String nome, String secondoNome, String cognome) {
		super();
		this.nome = nome;
		this.secondoNome = secondoNome;
		this.cognome = cognome;
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public String getSecondoNome() {
		return secondoNome;
	}

	public void setSecondoNome(String secondoNome) {
		this.secondoNome = secondoNome;
	}

	public String getCognome() {
		return cognome;
	}

	public void setCognome(String cognome) {
		this.cognome = cognome;
	}

	@Override
	public String toString() {
		if(secondoNome.equals(""))
			return nome+" "+cognome;
		else 
			return nome+" "+secondoNome+" "+cognome;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Autore other = (Autore) obj;
		if (cognome == null) {
			if (other.cognome != null)
				return false;
		} else if (!cognome.equals(other.cognome))
			return false;
		if (nome == null) {
			if (other.nome != null)
				return false;
		} else if (!nome.equals(other.nome))
			return false;
		if (secondoNome == null) {
			if (other.secondoNome != null)
				return false;
		} else if (!secondoNome.equals(other.secondoNome))
			return false;
		return true;
	}
	
	public static void main(String[] args) {
		Autore a1 = new Autore("A","B","C");
		Autore a2 = new Autore("D","","F");
		Libro l = new Libro("Lettere","2132132","1980",a1,a2);
		System.out.println(l);
	}


}
