package org.reti.element;

import java.util.HashMap;

public class MagazzinoLibri {
	
	private HashMap<String,Libro> magazzino;
	private String nome;
	
	public MagazzinoLibri(String nome) {
		this.nome = nome;
		magazzino = new HashMap<String,Libro>();
	}
	
	public Libro getLibro(String isbn) throws LibroNotFoudException{
		Libro l = magazzino.get(isbn);
		if(l != null){
			return l;
		}
		else
			throw new LibroNotFoudException();
	}
	
	public void addLibro(Libro l){
		magazzino.put(l.getIsbn(),l);
	}
	
	public void removeLibro(String isbn){
		magazzino.remove(isbn);
	}

}
