package org.reti.social;

import java.util.HashMap;
import java.util.List;

import javax.jws.soap.SOAPBinding;

import org.reti.element.Autore;
import org.reti.element.Libreria;
import org.reti.element.Libro;
import org.reti.element.MagazzinoLibri;

public class SocialBook {
	
	private HashMap<String,User> social;
	
	public SocialBook(){
		social = new HashMap<String,User>();
	}
	
	public void addUser(User u){
		social.put(u.getUsername(), u);
	}
	
	public User getUser(String username){
		return social.get(username);
	}
	
	public static void main(String[] args) {
		User u1 = new User("pippo", "pippo", "pippo", "pippo");
		User u2 = new User("pluto","pluto","pluto","pluto");
		User u3 = new User("mario","mario","mario","mario");
		SocialBook sc = new SocialBook();
		sc.addUser(u1);
		sc.addUser(u2);
		sc.addUser(u3);		
		Autore a1 = new Autore("Aldo","","Illo");
		Autore a2 = new Autore("Giuseppe","","Verdi");
		Libro l1 = new Libro("Ciao","123","1980",a1);
		Libro l2 = new Libro("CiaoCiao","234","1990",a2);
		MagazzinoLibri mag = new MagazzinoLibri("prova");
		mag.addLibro(l2);
		mag.addLibro(l1);
		Libreria lib1 = new Libreria("u1");
		Libreria lib2 = new Libreria("u2");
		Libreria lib3 = new Libreria("u3");
		lib1.addLibro(l2);
		lib2.addLibro(l2);
		lib3.addLibro(l1);
		lib3.addLibro(l2);
		u1.setLibreria(lib1);
		u2.setLibreria(lib2);
		u3.setLibreria(lib3);
		u1.addAmico(u2);
		u2.addAmico(u3);
		u3.addAmico(u1);
		User get = sc.getUser("pippo");
		Libreria libget = get.getLibreria();
		List<User> friend = get.getAmici();
		for(User u:friend){
			System.out.println(u);
		}
		System.out.println(libget);
		
	}

}
